# Uses of Interface
org.jfree.chart3d.interaction.XYZDataItemSelection

Packages that use XYZDataItemSelection
Package
Description
org.jfree.chart3d.interaction
Classes that support user interaction with charts.
org.jfree.chart3d.label
Classes related to chart labels.

## Uses of XYZDataItemSelection in org.jfree.chart3d.interaction

Classes in org.jfree.chart3d.interaction that implement XYZDataItemSelection
Modifier and Type
Class
Description
`class`
`StandardXYZDataItemSelection<S>`
An object that tracks selected items from an `XYZDataset`.

## Uses of XYZDataItemSelection in org.jfree.chart3d.label

Methods in org.jfree.chart3d.label that return XYZDataItemSelection
Modifier and Type
Method
Description
`XYZDataItemSelection`
StandardXYZItemLabelGenerator.`getItemSelection()`
Returns the item selection (if this is non-`null`, labels will only be generated for the items in the selection).
Methods in org.jfree.chart3d.label with parameters of type XYZDataItemSelection
Modifier and Type
Method
Description
`void`
StandardXYZItemLabelGenerator.`setItemSelection(XYZDataItemSelection selection)`
Sets the item selection, which can be used to specify a subset of the data items that should have item labels generated.